<!--
© 2019-2023 Marco Bresciani

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.
This file is offered as-is, without any warranty.

SPDX-FileCopyrightText: 2019-2023 Marco Bresciani

SPDX-License-Identifier: FSFAP
-->
# 0 Use ADR Conventions

## Context

As developers, we want to record architectural decisions made in this
project for future references.

Which format and structure should these records follow?

## Decision

Let's use the original ADR format described in
[Michael Nygard's template](http://thinkrelevance.com/blog/2011/11/15/documenting-architecture-decisions).

## Status

Accepted.

## Consequences

* The project shall keep tract of all decision, as described in the
  reference
  [Documenting Architecture Decisions](http://thinkrelevance.com/blog/2011/11/15/documenting-architecture-decisions)
  document.
* The [CHANGELOG.md](CHANGELOG.md) file should keep track of the
  added ADRs for each update/release.
* Future developers can have a quite comfortable and useful guide on how
  to navigate through the architectural structure of the application.
