<!--
© 2019-2023 Marco Bresciani

Copying and distribution of this file, with or without modification, are
permitted in any medium without royalty provided the copyright notice
and this notice are preserved.
This file is offered as-is, without any warranty.

SPDX-FileCopyrightText: 2019-2023 Marco Bresciani

SPDX-License-Identifier: FSFAP
-->
# 4 Keep A Changelog

## Context

**What is a changelog?** A changelog is a file which contains a curated,
chronologically ordered list of notable changes for each version of a
project.

**Why keep a changelog?** To make it easier for users and contributors
to see precisely what notable changes have been made between each
release (or version) of the project.

**Who needs a changelog?** People do.
Whether consumers or developers, the end users of software are human
beings who care about what's in the software.
When the software changes, people want to know why and how.

## Decision

The project will use and keep a `CHANGELOG.md` file, in Markdown format,
following the guidelines and rules of
[keep a changelog](https://keepachangelog.com/en/1.0.0/).

## Status

Accepted.

## Consequences

The `CHANGELOG.md` file shall be taken care of and kept updated.
